> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the WhatsApp business profile

> Fetch the WhatsApp business profile of a phone number, read through a Redis cache.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/connections/{connection_id}/whatsapp/profile
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/profile:
    get:
      tags:
        - Orgs Connections
      summary: Get the WhatsApp business profile
      description: >-
        Fetch the WhatsApp business profile of a phone number, read through a
        Redis cache.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
            minLength: 1
          required: true
          name: phone_number_id
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsAppBusinessProfileSchema'
components:
  schemas:
    WhatsAppBusinessProfileSchema:
      type: object
      properties:
        about:
          type: string
        address:
          type: string
        description:
          type: string
        email:
          type: string
        profile_picture_url:
          type: string
        vertical:
          type: string
          enum:
            - UNDEFINED
            - NOT_A_BIZ
            - OTHER
            - AUTO
            - BEAUTY
            - APPAREL
            - EDU
            - ENTERTAIN
            - EVENT_PLAN
            - FINANCE
            - GROCERY
            - GOVT
            - HOTEL
            - HEALTH
            - NONPROFIT
            - PROF_SERVICES
            - RETAIL
            - TRAVEL
            - RESTAURANT
            - ALCOHOL
            - ONLINE_GAMBLING
            - PHYSICAL_GAMBLING
            - OTC_DRUGS
        websites:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````